package com.chinaitop.depot.intelligent.warningAndAlarm;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(name = "depot-storage")
public interface WarningAndAlarmInterface {

    /**
     * 检测应轮未轮报警数据
     * 定时任务检测,每天凌晨1点执行
     */
    @GetMapping (value = "/timesTask/checkYlwl")
    void checkYlwl();

    /**
     * 检测轮换预警数据
     * 定时任务检测,每天凌晨1:30点执行
     */
    @GetMapping (value = "/timesTask/checkLhyj")
    void checkLhyj();

    /**
     * 检测架空期预警数据
     * 定时任务检测,每天凌晨2点执行
     */
    @GetMapping (value = "/timesTask/checkJkqyj")
    void checkJkqyj();



}
