package com.chinaitop.util;

import cn.hutool.http.HttpUtil;

import java.util.Base64;

/**
 * 网络文件工具
 *
 * @author ybw
 * @version V1.0
 * @className FileUtil
 * @date 2024/7/19
 **/
public class NetFileUtil {

    /**
     * 网络文件转文件流
     */
    public static byte[] urlToStream(String url) {
        return HttpUtil.downloadBytes(url);
    }


    /**
     * 获取Base64编码的字符串
     *
     * @param url 网络文件地址
     * @methodName: getBase64Content
     * @return: java.lang.String 网络文件地址
     * @author: ybw
     * @date: 2024/7/19
     **/
    public static String getBase64Content(String url) {
        byte[] bytes = urlToStream(url);
        // 将文件内容转换为Base64字符串
        return Base64.getEncoder().encodeToString(bytes);
    }
}
