package com.chinaitop.file;

import cn.hutool.core.io.FileUtil;
import com.chinaitop.util.NetFileUtil;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.io.File;
import java.util.Base64;

/**
 * 下载网络文件测试
 *
 * @author ybw
 * @version V1.0
 * @className FileTest
 * @date 2024/7/19
 **/
@Slf4j
public class NetFileTest {

    /**
     * 网络文件
     *
     * @author: ybw
     * @date: 2024/7/19
     **/
    private String url;

    @BeforeEach
    public void init() {
        url = "http://172.16.0.36:15772/province-qinghai/2024/7/19/1814134555203710977.jpg";
    }

    /**
     * 网络文件转文件流
     */
    @Test
    public void fileToStream() {
        byte[] bytes = NetFileUtil.urlToStream(url);
        log.info("bytes:{}", bytes);
    }

    /**
     * 网络文件转为Base64
     */
    @Test
    public void fileToBase64() {
        String base64Content = NetFileUtil.getBase64Content(url);
        // 输出Base64编码的字符串
        log.info("base64:{}", base64Content);
    }


    /**
     * Base64转文件
     */
    @Test
    public void base64ToFile() {
        File file = new File("D:\\1\\1.jpg");
        String base64Content = NetFileUtil.getBase64Content(url);
        FileUtil.writeBytes(Base64.getDecoder().decode(base64Content), file);
    }


}
